<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_500"
        android:background="@drawable/bg_2dd29e_6ff2a2"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_16"
            android:layout_marginStart="@dimen/dp_16"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_20" />
    </FrameLayout>


    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/transparent"
        android:overScrollMode="never"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flTop">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/transparent"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">


                <FrameLayout
                    android:layout_width="@dimen/dp_180"
                    android:layout_height="@dimen/dp_180"
                    android:layout_marginTop="@dimen/dp_50"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/ivYuan"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:srcCompat="@drawable/clean" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center_horizontal"
                        android:orientation="vertical">

                        <TextView
                            android:visibility="gone"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_30"
                            tools:text="96.6" />

                        <TextView
                            android:id="@+id/tvJunkFile"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_8"
                            android:text="@string/junk_files"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_16" />

                    </LinearLayout>

                </FrameLayout>


                <LinearLayout
                    android:id="@+id/ll1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:gravity="end"
                    android:orientation="vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12"
                        tools:text="76%" />

                    <ProgressBar
                        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                        android:layout_width="@dimen/dp_88"
                        android:layout_height="@dimen/dp_4"
                        android:layout_marginTop="@dimen/dp_2"
                        android:max="100"
                        android:progressDrawable="@drawable/progress_drawable_home"
                        android:scaleX="-1"
                        tools:progress="76" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_2"
                        android:includeFontPadding="false"
                        android:text="@string/memory_used"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:gravity="end"
                    android:orientation="vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/ll1">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12"
                        tools:text="76%" />

                    <ProgressBar
                        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                        android:layout_width="@dimen/dp_88"
                        android:layout_height="@dimen/dp_4"
                        android:layout_marginTop="@dimen/dp_2"
                        android:max="100"
                        android:progressDrawable="@drawable/progress_drawable_home"
                        android:scaleX="-1"
                        tools:progress="76" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_2"
                        android:includeFontPadding="false"
                        android:text="@string/storage_used"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12" />

                </LinearLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tvClean"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_26"
                android:background="@drawable/bg_ffffff_24"
                android:paddingHorizontal="@dimen/dp_18"
                android:paddingVertical="@dimen/dp_8"
                android:text="@string/CLEAN"
                android:textColor="#2DD29E"
                android:textStyle="bold" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivUp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginBottom="@dimen/dp_8"
                android:padding="@dimen/dp_8"
                app:srcCompat="@drawable/icon_jiantou_up" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_ffffff_tlr24"
                android:overScrollMode="never"
                android:paddingVertical="@dimen/dp_16"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>